Subject: Re: LRO/GSO interaction when packets are forwarded

From: Ben Hutchings <[email-masked]>
Date: Wed, 23 Apr 2008 11:07:04 +0100

Jarek Poplawski wrote:
> On Wed, Apr 23, 2008 at 06:00:18AM +0000, Jarek Poplawski wrote:
> > On 23-04-2008 01:01, Stephen Hemminger wrote:
> > ...
> > >>>> First off, no hardware should ever do LRO on non-local packets. If the
> > >>>> hardware isn't smart enough to do this, I guess the bridge code to have
> > >>>> an API to turn it off. IP should also turn it off if ip_forwarding
> > >>>> is enabled on that device.
> > 
> > Could you explain this more? (I can't see any obvious reason why
> > forwarding between local networks should differ here from bridging?)
>
> ...and the second question: is only ip_forwarding flag checking right
> way to disable something destined for local packets?

"Non-local" here simply means destined for another host.  It doesn't
matter whether that host is on the same LAN or not.

Ben.

-- 
Ben Hutchings, Senior Software Engineer, Solarflare Communications
Not speaking for my employer; that's the marketing department's job.